
import request from '@/utils/require'
import { inspectionApi, loginUrl, dict, auth } from '@/api'

// 组织机构
export function tree(params) {
    return request({
        url: `${loginUrl}/org/tree?orgCode=${params}`,
        method: 'post'
    })
}

// ;/dataDictionary/BGIddfinopruy / { groupId }
// 根据分组id查询数据字典
export function dailyInspectionReport() {
    return request({
        url: `${dict}/dataDictionary/findByGroupId/50004`,
        methods: 'get'
    })
}
// ;/dailyCheckResult/developmentSituationList
// 结果反馈-- - 检查工作开展情况统计
export function dailyCheckResult(params) {
    return request({
        url: `${inspectionApi}/dailyCheckResult/developmentSituationList`,
        method: 'post',
        data: params
    })
}
//地区
export function dqTree() {
    return request({
        url: `${dict}/dataDictionary/getUserAreaCodeTree`,
        methods: 'get'
    })
}
//单位
export function dwTree(orgCode) {
    return request({
        url: `${auth}/department/findByOrgCode?orgCode=${orgCode}`,
        methods: 'get'
    })
}